proxies:
- name: "wg-out"
  type: wireguard
  server: fr-uk11.nordvpn.com
  port: 51820
  dialer-proxy: vless-out
  ip: 10.5.0.2
  public-key: K53l2wOIHU3262sX5N/5kAvCvt4r55lNui30EbvaDlE=
  private-key: F1dFfHXYE/3dsxh6EEjHjCr827RyMQ6aYx8bAMd6r9c=
  udp: true

- name: "vless-out"
  type: vless
  server: de3-i.firefly-service.com
  port: 4430
  dialer-proxy: hy2-out
  uuid: base64password
  udp: true
  packet-encoding: xudp
  tls: false
  network: grpc
  grpc-opts:
    grpc-service-name: graphql

- name: "hy2-out"
  type: hysteria2
  server: de3-i.firefly-service.com
  ports: 2083
  hop-interval: 30
  password: HivaService
  obfs: salamander
  obfs-password: NoFirewall
  sni: www.tradingview.com
  skip-cert-verify: true
  alpn:
    - h3

proxy-groups:
- name: PROXY
  type: select
  proxies:
    - wg-out

rules:
- MATCH,PROXY
- GEOSITE,category-ir,DIRECT
- GEOIP,private,DIRECT

dns:
  enable: true
  default-nameserver:
    - 8.8.8.8
    - 1.1.1.1
  nameserver:
    - 8.8.8.8
    - 1.1.1.1